@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.multipleChartWrapper {
  position: relative;
  margin-bottom: var(--space-m);

  @include smaller-than-m {
    margin-bottom: var(--space-m);
  }

  @include smaller-than-s {
    margin-bottom: var(--space-s);
    display: flex;
    flex-direction: column-reverse;
  }
}

.multipleName {
  font-size: var(--font-size-s);
  position: absolute;
  white-space: nowrap;
  left: calc(100% + 1.2em);
  line-height: 1em;
  transform: translateY(calc(-100% + 0.5px));
  z-index: -1;

  @include smaller-than-m {
    position: static;
    transform: none;
    margin-bottom: var(--space-xs);
    display: inline-block;
  }

  @include smaller-than-s {
    font-size: var(--font-size-s);
  }
}

.label {
  opacity: 0;

  &.isVisible {
    opacity: .5;

    &.isHighlighted {
      opacity: 1;
    }
  }
}

.tickValue {
  font-size: var(--font-size-s);
  font-weight: 500;
  text-anchor: middle;

  @include smaller-than-s {
    font-size: var(--font-size-s);
  }
}

.tickUnit {
  font-weight: 400;
}

.tickDot {
  stroke: white;
  stroke-width: 1.5;
  pointer-events: none;
}

.dotted {
  stroke-dasharray: 1 5;
  stroke-linecap: round;
}

.hatchingLabel {
  font-size: var(--font-size-s);
  fill: var(--color-text-weaker);

  @include smaller-than-s {
    font-size: var(--font-size-s);
  }
}

.hatchingDomain {
  stroke: var(--color-text-weaker);
  opacity: .5;
  shape-rendering: crispEdges;
  stroke-width: 1;
}

.tooltipLine {
  shape-rendering: crispEdges;
  pointer-events: none;
  stroke: var(--color-background-weakest);
}
